summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorDavid Zeuthen <davidz@redhat.com>2008-11-20 19:25:10 -0500
committerDavid Zeuthen <davidz@redhat.com>2008-11-20 19:25:10 -0500
commite79735d9de022c0f3677fbde0e46fe144afae14a (patch)
tree46806367f2750f7618edb952d9e2790a43c6e55a /autogen.sh
parent33f78586f0900047b8e1bd190209d88fe35133f4 (diff)
add tests for properties from multiple interfaces + setup gtkdoc
We now depend on this patch for a GObject crasher http://bugzilla.gnome.org/show_bug.cgi?id=561737
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 64fa373..22d5457 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -31,6 +31,14 @@ DIE=0
}
}
+(gtkdocize --flavour no-tmpl) < /dev/null > /dev/null 2>&1 || {
+ echo
+ echo "You must have gtk-doc installed to compile $PROJECT."
+ echo "Install the appropriate package for your distribution,"
+ echo "or get the source tarball at http://ftp.gnome.org/pub/GNOME/sources/gtk-doc/"
+ DIE=1
+}
+
(automake --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "**Error**: You must have automake installed."